RedCrawler API
Posting V1

Create Link Post V1

Create a link post. Requires bearer token.

POST /api/v1/publishing/link

Create a link post. Requires bearer token.

Body parameters

NameTypeRequiredDescription
subredditstringYesTarget subreddit (name, r/name, or URL).
urlstringYesLink URL to share.
titlestringYesPost title (max 300 chars).
resubmitstringNoAllow resubmitting same URL (true/false, default: true).
flair_textstringNoFlair display text.
flair_idstringNoFlair template ID.
is_nsfwstringNoMark as NSFW (true/false, default: false).
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.
sendrepliesstringNoSend reply notifications (true/false, default: true).
is_spoilerstringNoMark as spoiler (true/false, default: false).

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/publishing/link" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"subreddit": "test", "url": "<url>", "title": "<title>", "resubmit": "<resubmit>", "flair_text": "<flair_text>", "flair_id": "<flair_id>", "is_nsfw": "<is_nsfw>", "bearer": "<bearer>", "proxy": "<proxy>", "sendreplies": "<sendreplies>", "is_spoiler": "<is_spoiler>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/publishing/link", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "subreddit": "test",
  "url": "<url>",
  "title": "<title>",
  "resubmit": "<resubmit>",
  "flair_text": "<flair_text>",
  "flair_id": "<flair_id>",
  "is_nsfw": "<is_nsfw>",
  "bearer": "<bearer>",
  "proxy": "<proxy>",
  "sendreplies": "<sendreplies>",
  "is_spoiler": "<is_spoiler>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/publishing/link"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "subreddit": "test",
  "url": "<url>",
  "title": "<title>",
  "resubmit": "<resubmit>",
  "flair_text": "<flair_text>",
  "flair_id": "<flair_id>",
  "is_nsfw": "<is_nsfw>",
  "bearer": "<bearer>",
  "proxy": "<proxy>",
  "sendreplies": "<sendreplies>",
  "is_spoiler": "<is_spoiler>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": [],
      "data": {
        "url": "https://www.reddit.com/r/RedCrawlerAPI/comments/1sz4du6/link_post/",
        "drafts_count": 0,
        "id": "1sz4du6",
        "name": "t3_1sz4du6"
      }
    }
  },
  "error": null,
  "timestamp": "2026-04-29T16:48:31.596183+00:00"
}

On this page